Gecode::Int::Linear::LinBoolInt< VX > Class Template Reference

Baseclass for integer Boolean sum. More...

`#include <linear.hh>`

## Public Member Functions

virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as high unary).
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
virtual void | reschedule (Space &home)=0
| Schedule function.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)=0
| Propagation function.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
Public Member Functions inherited from Gecode::Actor
virtual Actor * | copy (Space &home)=0
| Create copy.
virtual | ~Actor (void)
| To avoid warnings.

## Protected Member Functions

void | normalize (void)
| Normalize by removing unused views.
| LinBoolInt (Space &home, LinBoolInt &p)
| Constructor for cloning p.
| LinBoolInt (Home home, ViewArray< VX > &x, int n_s, int c)
| Constructor for creation.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Protected Attributes

Council< Advisor > | co
| Council for managing single advisor.
ViewArray< VX > | x
| Boolean views.
int | n_as
| Number of active subscriptions.
int | n_hs
| Number of views that have or had subscriptions.
int | c
| Righthandside.

## Additional Inherited Members

static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Detailed Description

template<class VX>
class Gecode::Int::Linear::LinBoolInt< VX >

Baseclass for integer Boolean sum.

Definition at line 787 of file linear.hh.

## Constructor & Destructor Documentation

## LinBoolInt() [1/2]

template<class VX>

Gecode::Int::Linear::LinBoolInt< VX >::LinBoolInt | ( | Space & | home,
|  | LinBoolInt< VX > & | p )

inline protected

Constructor for cloning p.

Definition at line 84 of file bool-int.hpp.

## LinBoolInt() [2/2]

template<class VX>

Gecode::Int::Linear::LinBoolInt< VX >::LinBoolInt | ( | Home | home,
|  | ViewArray< VX > & | x,
|  | int | n_s,
|  | int | c )

inline protected

Constructor for creation.

Definition at line 48 of file bool-int.hpp.

## Member Function Documentation

## normalize()

template<class VX>

void Gecode::Int::Linear::LinBoolInt< VX >::normalize | ( | void |  | ) |

inline protected

Normalize by removing unused views.

Definition at line 58 of file bool-int.hpp.

## cost()

template<class VX>

PropCost Gecode::Int::Linear::LinBoolInt< VX >::cost | ( | const Space & | home,
|  | const ModEventDelta & | med ) const

virtual

Cost function (defined as high unary).

Implements Gecode::Propagator.

Definition at line 94 of file bool-int.hpp.

## dispose()

template<class VX>

size_t Gecode::Int::Linear::LinBoolInt< VX >::dispose | ( | Space & | home | ) |

inline virtual

Delete propagator and return its size.

Reimplemented from Gecode::Actor.

Definition at line 100 of file bool-int.hpp.

## Member Data Documentation

## co

template<class VX>

Council<Advisor> Gecode::Int::Linear::LinBoolInt< VX >::co

protected

Council for managing single advisor.

Definition at line 790 of file linear.hh.

## x

template<class VX>

ViewArray<VX> Gecode::Int::Linear::LinBoolInt< VX >::x

protected

Boolean views.

Definition at line 792 of file linear.hh.

## n_as

template<class VX>

int Gecode::Int::Linear::LinBoolInt< VX >::n_as

protected

Number of active subscriptions.

Definition at line 794 of file linear.hh.

## n_hs

template<class VX>

int Gecode::Int::Linear::LinBoolInt< VX >::n_hs

protected

Number of views that have or had subscriptions.

Definition at line 796 of file linear.hh.

## c

template<class VX>

int Gecode::Int::Linear::LinBoolInt< VX >::c

protected

Righthandside.

Definition at line 798 of file linear.hh.

The documentation for this class was generated from the following files:

- gecode/int/linear.hh
- gecode/int/linear/bool-int.hpp